package com.tzld.piaoquan.risk.control.common.enums;

public enum RedisPrefixEnum {

    RISK_CONTROL_TOKEN("risk:control:token:{token}", "Token缓存的Key"),
    ;
    private String prefix;
    private String desc;

    RedisPrefixEnum(String prefix, String desc) {
        this.prefix = prefix;
        this.desc = desc;
    }

    public String getPrefix() {
        return prefix;
    }

    public String getDesc() {
        return desc;
    }

    @Override
    public String toString() {
        return "RedisPrefixEnum{" +
                "prefix='" + prefix + '\'' +
                ", desc='" + desc + '\'' +
                '}';
    }
}
