package com.tzld.piaoquan.risk.control.model.qywx;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import java.util.List;

@Data
public class RiskUserInfo {
    @JSONField(name = "admin_list")
    private List<Admin> adminList;

    @JSONField(name = "chat_id")
    private String chatId;

    @JSONField(name = "corp_id")
    private String corpId;

    @JSONField(name = "external_id")
    private String externalId;

    @JSONField(name = "external_nickname")
    private String externalNickname;

    @JSONField(name = "group_name")
    private String groupName;

    @JSONField(name = "join_scene")
    private Integer joinScene;

    @JSONField(name = "join_time")
    private Long joinTime;

    @JSONField(name = "risk_level")
    private Integer riskLevel;

    @Data
    public static class Admin {
        @JSONField(name = "nickname")
        private String nickname;

        @JSONField(name = "userid")
        private String userId;
    }
}