package com.tzld.piaoquan.risk.control.service.rule;

/**
 * @author supeng
 */
public enum TokenType {
    /**
     * 左括号
     */
    LPAREN,
    /**
     * 右括号
     */
    RPAREN,
    /**
     * &&
     */
    AND,
    /**
     * ||
     */
    OR,
    /**
     * >
     */
    GT,
    /**
     * <
     */
    LT,
    /**
     * ==
     */
    EQ,
    /**
     * >=
     */
    GTE,
    /**
     * <=
     */
    LTE,
    /**
     * !=
     */
    NEQ,
    /**
     * 变量
     */
    VARIABLE,
    /**
     * 数字
     */
    NUMBER,
    /**
     * 空
     */
    EOF;
}
