package com.tzld.piaoquan.risk.control.util;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.net.URLConnection;

public class ImageUtils {
    public static byte[] downloadImage(String urlString) throws IOException {
        URL url = new URL(urlString);
        URLConnection connection = url.openConnection();
        connection.setConnectTimeout(5000); // 设置连接超时
        connection.setReadTimeout(5000);     // 设置读取超时
        // 模拟浏览器请求，避免被拒绝
        connection.setRequestProperty("User-Agent", "Mozilla/5.0 (compatible; MyApp/1.0)");

        try (InputStream in = connection.getInputStream();
             ByteArrayOutputStream out = new ByteArrayOutputStream()) {
            byte[] buffer = new byte[4096];
            int bytesRead;
            while ((bytesRead = in.read(buffer)) != -1) {
                out.write(buffer, 0, bytesRead);
            }
            return out.toByteArray();
        }
    }
}
